| Home | Libraries | People | FAQ | More

## Class template second_clock

boost::date_time::second_clock —

A clock providing time level services based on C time_t capabilities.

## Synopsis

    template<typename date_type, typename time_type>
    class second_clock {
    public:
      // types
      typedef time_type::time_duration_type time_duration_type;

      // public static functions
      time_type local_time() ;
      time_type universal_time() ;

      // private static functions
      time_type create_time(::std::tm *) ;
    };

## Description

This clock provides resolution to the 1 second level

### `second_clock` public static functions

1.     time_type local_time() ;

2.     time_type universal_time() ;

   Get the current day in universal date as a ymd_type.

### `second_clock` private static functions

1.     time_type create_time(::std::tm * current) ;

| Copyright © 2001-2004 CrystalClear Software, Inc